> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.select.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Snowflake Account Credentials

First, please ensure you have [two key pair authentication methods](https://docs.snowflake.com/en/user-guide/key-pair-auth) available to your user in your snowflake instance, for key pair rotation. That way SELECT won't lose access to your Snowflake account when you change your credentials using this endpoiont.

Then, use this endpoint to update the credentials for your Snowflake user account in SELECT.

You can find your snowflake account UUID in [Settings -> Accounts](https://select.dev/app/settings?tab=Snowflake) under the 'Identifier' column.


## OpenAPI

````yaml put /api/snowflake-accounts/{snowflake_account_uuid}/credentials
openapi: 3.1.0
info:
  title: SELECT API (v1)
  version: 0.1.0
servers:
  - url: https://api.select.dev/
    description: SELECT API
security: []
paths:
  /api/snowflake-accounts/{snowflake_account_uuid}/credentials:
    put:
      tags:
        - snowflake-accounts
        - public-api
      summary: Update Snowflake Account Credentials
      operationId: >-
        update_snowflake_account_credentials_api_snowflake_accounts__snowflake_account_uuid__credentials_put
      parameters:
        - name: snowflake_account_uuid
          in: path
          required: true
          schema:
            type: string
            title: Snowflake Account Uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SnowflakeKeyPairCredentialsIn'
              description: >-
                The new key pair credentials for SELECT to access your Snowflake
                account with.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SnowflakeKeyPairCredentialsIn:
      properties:
        private_key:
          type: string
          title: Private Key
          description: >-
            The private key for the Snowflake account user. This can be
            encrypted with a passphrase if desired. The key should be in PEM
            format. I.e. with a one-line header, consisting of -----BEGIN, a
            label, and -----, and a one-line footer, consisting of -----END, a
            label, and -----. However, we can also accept the key as a one-liner
            string with spaces instead of newlines, which happens if you paste a
            key into the api playground in our documentation.
        private_key_passphrase:
          anyOf:
            - type: string
            - type: 'null'
          title: Private Key Passphrase
          description: The passphrase for the private key, if encrypted.
      type: object
      required:
        - private_key
      title: SnowflakeKeyPairCredentialsIn
    SuccessResponse:
      properties:
        success:
          type: boolean
          const: true
          title: Success
      type: object
      required:
        - success
      title: SuccessResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````